/* Startof menu_vertical */
.menu-vertical{display: grid; grid-template-columns: 20% calc(80% - 24px); gap: 24px; align-items: center;}
.menu-vertical-left{position: relative; z-index: 4;}
.menu-vertical-dropdown{display: none; background: var(--module-background); position: absolute; z-index: 1; width: 100%; box-shadow: 0 2px 2px #ddd; border-radius: var(--radius);}
.menu-vertical-wrap:hover .menu-vertical-dropdown{display: block;}
.menu-vertical-button{width: 100%; display: flex; align-items: center; justify-content: space-between; border-radius: var(--radius); padding: 10px 20px; font-size: 18px; font-weight: 600; text-transform: uppercase}
.force-active{display: block !important; margin-top: 26px; box-shadow: 0px 0px 5px #ddd;}
.menu-vertical-dropdown-left-link{display:flex; justify-content: space-between; color: var(--btn-menu-color); border-bottom: solid 1px var(--border-menu-color); padding: 10px 0}
.menu-vertical-line:last-child .menu-vertical-dropdown-left-link{border-bottom: 0}
.menu-vertical-line{padding: 0 20px; position: relative;}
.noposrel{position: initial}
.self-child{display: none; position: absolute; left: 100%; top: 0; background: var(--module-background); box-shadow: 5px 0 10px var(--color-general-border); width: 100%;}
.noposrel .self-child{height: calc(100% + 1px); width: calc(400% + 7px);}
.menu-vertical-line:hover .self-child{display: block;}
.row-vertical-self-child{display: grid; grid-template-columns: repeat(1, 12fr); padding: 0 20px 20px;}
.noposrel .row-vertical-self-child{grid-template-columns: repeat(4, 12fr);}
.sublinkmenu{display: block; padding: 0 20px; color: var(--btn-menu-color);}
.menu-vertical-dropdown-right-link-text{display: block; color: var(--btn-menu-color); margin-top: 20px;}
.menu-vertical-right{display: flex; gap: 12px; position: relative; height: calc(100% + 12px); align-items: center;}
.menu-vertical-col-right-link-dropdown{display: none; position: absolute; top: 100%; left: 0; background: var(--color-dropdown); border: 1px solid var(--color-general-border); min-width: 200px; padding: 10px;}
.menu-vertical-col-right-button:hover .menu-vertical-col-right-link-dropdown{display: block}
.menu-vertical-col-right-link{height: 100%; display: flex; align-items: center; color:var(--color-black)}
.menu-vertical-alt-dropdown-right-link{display: block; color: var(--btn-menu-color); padding: 5px 0;}
/* Endof menu_vertical */








/* Startof menu_horizontal */
.menu-horizontal{display: flex; gap: 20px; justify-content: center;}
.menu-horizontal-link{color: var(--btn-menu-color); font-size: 19px; font-weight: 700; line-height: 50px}
.menu-horizontal-link:hover{color: var(--color-secondary)}
.menu-horizontal-dropdown, .menu-horizontal-dropdowns{display: none; position: absolute; top: 100%; left: 0; width: 100%; min-width: 200px; background: var(--color-dropdown); padding: 20px; border-radius: 0 0 var(--radius) var(--radius); border: solid 1px var(--color-general-border)}
.menu-horizontal-wrap:hover .menu-horizontal-dropdown{display: grid; grid-template-columns: repeat(5, 12fr); gap: 20px} 
.menu-horizontal-wrap:hover .menu-horizontal-dropdowns{display: grid; grid-template-columns: 80% calc(20% - 50px); gap: 50px} 
.menu-horizontal-wrap{display:flex;height:100%;align-items:center;}
.itemgridmenu{display: grid; grid-template-columns: repeat(3, 12fr); gap: 20px;}
.menu-horizontal-dropdown-link {font-size: 20px; font-weight: 700; margin-bottom: 10px; display: block;}
.imgmenucateg{width: 100%; height: 100%; object-fit: cover;}
/* Endof menu_horizontal */


















/* Startof menu_mobile */
.menu-mobile-wrap {
    position: relative;
}
.menu-mobile-wrap.active {
    opacity: 1;
}
.menu-mobile-button {
    position: relative;
}
.menu-mobile-dropdown-wrap {
    --animation-time: 0.5s;

    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 10;
    background: rgba(0, 0, 0, 0.7);

    pointer-events: none;
    opacity: 0;

    transition: opacity var(--animation-time);
}
.menu-mobile-dropdown-wrap.active {
    opacity: 1;
    pointer-events: all;
}
.menu-mobile-dropdown {
    position: relative;
    display: flex;
    flex-wrap: nowrap;
    flex-direction: column;
    width: 85%;
    height: 100%;
    background: #ffffff;
    -webkit-box-shadow: 3px 0px 48px 0px rgba(0,0,0,0.41);
    -moz-box-shadow: 3px 0px 48px 0px rgba(0,0,0,0.41);
    box-shadow: 3px 0px 48px 0px rgba(0,0,0,0.41);

    transition: transform var(--animation-time);
    transform: translateX(-50px);
}
.menu-mobile-dropdown-wrap.active .menu-mobile-dropdown {
    transform: translateX(0px);
}
.menu-mobile-dropdown-title {
    position: relative;
    display: flex;
    flex: 0 0 auto;
    gap: 15px;
    padding: 10px 15px;
}
.menu-mobile-dropdown-title-text {
    position: relative;
    display: block;
    flex: 1 1 auto;
    font-size: 24px;
}
.menu-mobile-dropdown-title-close {
    position: relative;
    flex: 0 0 auto;
    background: none;
    border: none;
    font-size: 24px;
    padding: 5px 15px;
    background: #cccccc;
    color: #000000;
    border-radius: 6px;
}
.menu-mobile-dropdown-content {
    position: relative;
    display: block;
    flex: 1 1 auto;
    overflow-y: auto;
}
.menu-mobile-dropdown-footer {
    position: relative;
    display: block;
    flex: 0 0 auto;

    padding: 10px 15px;
}
.menu-mobile-social {
    position: relative;
    display: block;
    text-align: center;
}
.menu-mobile-social a {
    font-size: 24px;
    margin: 0 5px;
}

.menu-mobile-list {
    position: relative;
    list-style-type: none;
    padding-left: 15px;
}
.menu-mobile-list.level-0 {
    padding-left: 0px;
}
.menu-mobile-list.level-0 > li {
    position: relative;
    padding: 0px 15px;
}

.menu-mobile-row {
    position: relative;
    display: flex;
    align-items: center;
    flex-wrap: nowrap;
    gap: 5px;
}
.menu-mobile-link {
    position: relative;
    display: flex;
    flex: 1 1 auto;
    gap: 5px;
    padding: 11px 0;
}
.menu-mobile-link-icon {
    position: relative;
    display: block;
    flex: 0 0 auto;
    display: none;
}
.menu-mobile-link-html {
    position: relative;
    display: block;
    flex: 0 0 auto;
}
.menu-mobile-link-text {
    position: relative;
    display: block;
    flex: 1 1 auto;

    font-size: 20px;
    color: var(--color-black);
    font-weight: 700;
}
.menu-mobile-link-button {
    position: relative;
    display: block auto;
    flex: 0 0;
    background: none;
    border: none;
    font-size: 23px;
    padding: 0px 14px;
    color: var(--color-primary);
}
.menu-mobile-link-button .fa-minus {
    display: none;
    pointer-events: none;
}
.menu-mobile-link-button .fa-plus {
    display: inline;
    pointer-events: none;
}
.menu-mobile-li.active > .menu-mobile-row > .menu-mobile-link-button .fa-minus {
    display: inline;
}
.menu-mobile-li.active > .menu-mobile-row > .menu-mobile-link-button .fa-plus {
    display: none;
}
.menu-mobile-list .menu-mobile-list {
    display: none;
}
li.active > .menu-mobile-list {
    display: block;
}
/* Endof menu_mobile */

